routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/landing',  'IndexController@index')->name('landing');
Route::get('/get',  'IndexController@getApp')->name('getApp');
Route::get('/contact',  'IndexController@contact')->name('contact');
Route::post('/contact',  'IndexController@ContactStore')->name('contact.store');

Route::get('/',  'HomeController@dynamicHome')->name('home_new');

Route::get('/page/{page}', 'PageController')->name('page.show');


Route::get('/content/{type}/{id}',  'HomeController@dynamic')->name('dynamic');


Route::get('/artists',  'ArtistController@all_artists')->name('all-artists');

// Route::get('/artist/{artist?}', function ( $artist= 1) {
//     return $artist;
// })->uses  ('ArtistController@index')->name('artist');

Route::get('/videos',  'VideoController@all_videos')->name('all-videos');

// Route::get('/video/{video?}', function ($video = 1) {
//     return $video;
// })->uses  ('VideoController@index')->name('single-video');

Route::get('/categories/{category?}', function ($category = 1) {
    return $category;
})->uses('CategoriesController@index')->name('categories');

Route::resource('subscription','SubscriptionController');


Auth::routes();

Route::group(['prefix' => 'admin'], function () {
    Voyager::routes();
    Route::get('push','PushController@send')->middleware(['web','admin.user'])->name('voyager.push.send');
    Route::post('push','PushController@store')->middleware(['web','admin.user'])->name('voyager.push.store');
});

resources/views/artist.blade.php
@extends('layouts.app')

@section('content')

    <div id="content-sidebar-pro">

        <div id="content-sidebar-info">
            <img src="{{$artist->logoSrc}}"  alt="{{$artist->artistName}}">
            <div id="profile-sidebar-name">
                <h5>{{$artist->artistName}}</h5>

            </div>
            <div id="profile-sidebar-gradient"></div>
        </div>




    </div><!-- close #content-sidebar-pro -->

    <main id="col-main-with-sidebar">

        <div class="dashboard-container">
            <h4 class="heading-extra-margin-bottom">תכנים</h4>
            <div class="row">

                @foreach($ctegories as $cat)

                    <div class="col-12 col-md-6 col-lg-6 col-xl-3">
                        <div class="item-listing-container-skrn">
                            <a href="{{route('categories', $cat->id)}}"><figure class="cover-img"><img src="{{ $cat->imageSrc }}" alt="{{ $cat->title }}"></figure></a>
                            <div class="item-listing-text-skrn">
                                <div class="item-listing-text-skrn-vertical-align"><h6><a href="{{route('categories', $cat->id)}}">{{$cat->title}}</a></h6>
                                    <div
                                        class="circle-rating-pro"
                                        data-value="0.86"
                                        data-animation-start-value="0.86"
                                        data-size="32"
                                        data-thickness="3"
                                        data-fill="{
							          &quot;color&quot;: &quot;#42b740&quot;
							        }"
                                        data-empty-fill="#def6de"
                                        data-reverse="true"
                                    ><span style="color:#42b740;">8.6</span></div>
                                </div><!-- close .item-listing-text-skrn-vertical-align -->
                            </div><!-- close .item-listing-text-skrn -->
                        </div><!-- close .item-listing-container-skrn -->
                    </div><!-- close .col -->

                @endforeach

            </div><!-- close .row -->
            <br>
            <div class="row">

                @foreach($videos as $video)

                    <div class="col-12 col-md-6 col-lg-6 col-xl-3">
                        <div class="item-listing-container-skrn">
                            <a href="{{route('single-video', $video->id)}}"><figure class="cover-img"><img src="{{ $video->imageSrc }}" alt="{{ $video->title }}"></figure></a>
                            <div class="item-listing-text-skrn">
                                <div class="item-listing-text-skrn-vertical-align"><h6><a href="{{route('single-video', $video->id)}}">{{$video->title}}</a></h6>
                                    <div
                                        class="circle-rating-pro"
                                        data-value="0.86"
                                        data-animation-start-value="0.86"
                                        data-size="32"
                                        data-thickness="3"
                                        data-fill="{
							          &quot;color&quot;: &quot;#42b740&quot;
							        }"
                                        data-empty-fill="#def6de"
                                        data-reverse="true"
                                    ><span style="color:#42b740;">8.6</span></div>
                                </div><!-- close .item-listing-text-skrn-vertical-align -->
                            </div><!-- close .item-listing-text-skrn -->
                        </div><!-- close .item-listing-container-skrn -->
                    </div><!-- close .col -->

                @endforeach

            </div><!-- close .row -->
            <br>
        </div><!-- close .dashboard-container -->
    </main>

@endsection

resources/views/artists.blade.php
@extends('layouts.app')

@section('content')




    <main id="col-main">


        <div class="clearfix"></div>

            @if($artists->count() >=1 )
            <div class="dashboard-container">
                <h2>אמנים</h2>
                <div class="row ">
                    @foreach($artists as $artist)
                        <div class="col-12 col-md-6 col-lg-6 col-xl-3">
                            <div class="item-listing-container-skrn">
                                <a href="{{route('artist', $artist->id)}}"><figure class="cover-img"><img src="{{$artist->logoSrc}}" alt="{{$artist->artistName}}"></figure></a>
                                <div class="item-listing-text-skrn item-listing-movie-casting">
                                    <h6><a href="{{route('artist', $artist->id)}}">{{$artist->artistName}}</a></h6>
                                    <div class="movie-casting-sub-title">{{$artist->artistNam}}</div>
                                </div><!-- close .item-listing-text-skrn -->
                            </div><!-- close .item-listing-container-skrn -->
                        </div><!-- close .col -->
                    @endforeach
                </div>
            </div><!-- close .movie-details-section -->
        @endif
    </main>


@endsection

resources/views/categories.blade.php
@extends('layouts.app')

@section('content')

    <main id="col-main">

        <div class="dashboard-container">

            <ul class="dashboard-sub-menu">

                @foreach($ctegories as $cat)
                    <li class="{{ ( $cat->id == $ctegory) ? 'current' : '' }} "><a href="{{route('categories', $cat->id)}}">{{ $cat->title}}</a></li>
                @endforeach
            </ul><!-- close .dashboard-sub-menu -->
            @if($videos->count() >=1 )
                <div class="movie-details-section">
                    <h2>תכנים</h2>
            <div class="row">
                @foreach($videos as $video)
                    <div class="col-12 col-md-6 col-lg-4 col-xl-3">
                        <div class="item-listing-container-skrn">
                            <a href="{{route('single-video', $video->id)}}"><figure class="cover-img"><img src="{{ $video->imageSrc }}" alt="{{ $video->title }}"></figure></a>
                            <div class="item-listing-text-skrn">
                                <div class="item-listing-text-skrn-vertical-align"><h6><a href="{{route('single-video', $video->id)}}">{{ $video->title}}</a></h6>
                                    <div
                                        class="circle-rating-pro"
                                        data-value="0.86"
                                        data-animation-start-value="0.86"
                                        data-size="32"
                                        data-thickness="3"
                                        data-fill="{
							          &quot;color&quot;: &quot;#42b740&quot;
							        }"
                                        data-empty-fill="#def6de"
                                        data-reverse="true"
                                    ><span style="color:#42b740;">8.6</span></div>
                                </div><!-- close .item-listing-text-skrn-vertical-align -->
                            </div><!-- close .item-listing-text-skrn -->
                        </div><!-- close .item-listing-container-skrn -->
                    </div><!-- close .col -->

                @endforeach
            </div>
            </div><!-- close .row -->
            @endif
            @if($artists->count() >=1)
            <div class="movie-details-section">
                <h2>אמנים</h2>
                <div class="row">
                    @foreach($artists as $artist)
                        <div class="col-12 col-md-6 col-lg-6 col-xl-3">
                            <div class="item-listing-container-skrn">
                                <a href="{{route('artist', $artist->id)}}"><figure class="cover-img"><img src="{{$artist->logoSrc}}" alt="{{$artist->artistName}}"></figure></a>
                                <div class="item-listing-text-skrn item-listing-movie-casting">
                                    <h6><a href="{{route('artist', $artist->id)}}">{{$artist->artistName}}</a></h6>
                                    <div class="movie-casting-sub-title">{{$artist->artistNam}}</div>
                                </div><!-- close .item-listing-text-skrn -->
                            </div><!-- close .item-listing-container-skrn -->
                        </div><!-- close .col -->
                    @endforeach
                </div>
            </div><!-- close .movie-details-section -->
            @endif

        </div><!-- close .dashboard-container -->
    </main>

@endsection

resources/views/home.blade.php
@extends('layouts.app')
@section('pageTitle', $meta['pageTitle'])
@section('pageDescription', $meta['pageDescription'])
@section('pageKeywords', $meta['pageKeywords'] )
@section('content')




    <main id="col-main">

        <div class="flexslider progression-studios-dashboard-slider">

            <ul class="slides">
                <li class="progression_studios_animate_left">
                    <div class="progression-studios-slider-dashboard-image-background" id="homebanner"  style="background-image:url({{ asset('storage/'.setting('site.homeImage'))}});">
                        <div class="progression-studios-slider-display-table">
                            <div class="progression-studios-slider-vertical-align">
                                <div  >

                                </div>

                                <a id="myBtn" class="progression-studios-slider-play-btn afterglow" ><i class="fas fa-play  font-icon"></i></a>
                            {{--<button id="myBtn">Open Modal</button>--}}

                            <!-- The Modal -->
                                <div id="myModal" class="modal">

                                    <!-- Modal content -->
                                    <div class="modal-content">
                                        <span class="close">&times;</span>
                                        <iframe  id="VideoLightbox-1" src="{{ setting('site.homeVideoSrc') }}" width="800" height="400" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>

                                    </div>

                                </div>

                                <div class="container">


                                    <div
                                        class="circle-rating-pro"
                                        data-value="0.86"
                                        data-animation-start-value="0.86"
                                        data-size="70"
                                        data-thickness="6"
                                        data-fill="{
								          &quot;color&quot;: &quot;#42b740&quot;
								        }"
                                        data-empty-fill="#def6de"
                                        data-reverse="true"
                                    ><span style="color:#42b740;">8.6</span></div>

                                    <div class="progression-studios-slider-dashboard-caption-width">
                                        <div class="progression-studios-slider-caption-align">


                                            <h2><a href="#">ברוכים הבאים ליחד TV!</a></h2>
                                            <ul class="progression-studios-slider-meta">

                                            </ul>


                                            <a class="btn btn-green-pro btn-slider-pro btn-shadow-pro afterglow" href="#VideoLightbox-1"></a>

                                            <div class="clearfix"></div>



                                        </div><!-- close .progression-studios-slider-caption-align -->
                                    </div><!-- close .progression-studios-slider-caption-width -->

                                </div><!-- close .container -->

                            </div><!-- close .progression-studios-slider-vertical-align -->
                        </div><!-- close .progression-studios-slider-display-table -->

                        <div class="progression-studios-slider-mobile-background-cover"></div>
                    </div><!-- close .progression-studios-slider-image-background -->
                </li>


            </ul>
        </div><!-- close .progression-studios-slider - See /js/script.js file for options -->


        <div class="clearfix"></div>

        @foreach($data as $catName=>$items)
            @if($catName !='home-video')
            <div class="dashboard-container testimonial-group">
                <h4 class="heading-extra-margin-bottom">{{ $catName }}</h4>
                <div class="row  text-center flex-nowrap">
                    @if (is_array($items) && sizeof($items))
                        @foreach($items as $item)
                            @php
                                $route = "#";
                                if ($item->type == "video" ) $route = route('single-video', $item->id);
                                if ($item->type == "category" ) $route = route('categories', $item->id);
                                if ($item->type == "artist" ) $route = route('artist', $item->id);

                            @endphp


                            <div class="col-3 col-sm-4 col-md-3 col-lg-3 col-xl-3" >
                                <div class="item-listing-container-skrn">
                                    <a href="{{ $route }}">
                                        <figure class="cover-img"><img src="{{$item->thumbnail}}" alt="{{$item->title}}"></figure>
                                    </a>
                                    <div class="item-listing-text-skrn">
                                        <div class="item-listing-text-skrn-vertical-align"><h6><a href="{{ $route }}">{{$item->title}}</a></h6>
                                            <div
                                                class="circle-rating-pro"
                                                data-value="0.86"
                                                data-animation-start-value="0.86"
                                                data-size="32"
                                                data-thickness="3"
                                                data-fill="{
                                          &quot;color&quot;: &quot;#42b740&quot;
                                        }"
                                                data-empty-fill="#def6de"
                                                data-reverse="true"
                                            ><span style="color:#42b740;">8.6</span></div>
                                        </div><!-- close .item-listing-text-skrn-vertical-align -->
                                    </div><!-- close .item-listing-text-skrn -->
                                </div><!-- close .item-listing-container-skrn -->
                            </div><!-- close .col -->

                        @endforeach
                    @endif
                </div>


            </div>
            @endif
        @endforeach


    </main>



@endsection

resources/views/index.blade.php
@extends('layouts.app-home')

@section('content')
    <div id="content-pro">

        <div class="container">
            <div class="centered-headings-pro pricing-plans-headings">
                <div class="bottommargin">
                    <img src="{{asset('images/yahadtv-logo-h.png')}}" />
                </div>
                <h6> </h6>
                <h1>רוצים לקבל את אפליקציית יחד TV לאנדרואיד?</h1>
            </div>
        </div><!-- close .container -->


        <div id="pricing-plans-background-image">
            <div class="container">
                <div class="registration-steps-page-container">
                    @error('phone')

                    <div class="alert alert-success error-alert">
                        <p>המספר כבר נמצא בבסיס הנתונים</p>
                    </div>

                    @enderror
                    @if ($message = Session::get('success'))
                        <div class="registration-social-login-container">
                            <div class="alert alert-success">
                                <p>{{ $message }}</p>
                            </div>
                        </div>
                    @else
                        <form class="registration-steps-form" align="right" method="POST" action="{{ route('subscription.store') }}">
                            @csrf
                            <div class="registration-social-login-container">
                                <p><b>
                                 רוצים לקבל את אפליקציית יחד TV  לאנדרואיד? <br>
                                        הזדרזו והרשמו עכשיו וקבלו עדכון כשהאפליקציה זמינה להורדה  !<br>

                                    משתמשי אייפון שימו לב - האפליקציה לאייפון כבר זמינה להורדה בקישור הזה
                                    <a href="https://apps.apple.com/il/app/yahadtv/id1505071143">אפליקציית אייפון</a><br>

                                    </b>
                                </p>
                                <div class="form-group">
                                    <label for="phone" class="col-form-label">טלפון</label>
                                    <input required type="text" class="form-control" id="phone" name="phone"  placeholder="">
                                </div>
                                <div class="form-group">
                                    <label for="full-name" class="col-form-label">שם</label>
                                    <input type="text" class="form-control" id="full-name" name="name" placeholder="שם ומשפחה">
                                </div>

                                <div class="form-group">
                                    <label for="email" class="col-form-label">אימייל - לא חובה</label>
                                    <input type="email" class="form-control" id="email" name="email" placeholder="">
                                </div>
                                <div class="form-group last-form-group-continue">
                                    <button type="submit" class="btn btn-green-pro">סיימתי!</button>

                                    <div class="clearfix"></div>
                                </div>
                                @endif


                            </div><!-- close .registration-social-login-container -->

                            <div class="registration-social-login-options" align="right">

    
                                <b>הורידו את אפליקציית יחד TV</b>

                                <p>
                                <a href="https://apps.apple.com/il/app/yahadtv/id1505071143">אפליקציית אייפון</a><br>
                                <a href="#">אפליקציית אנדרואיד- עולה אוטוטו</a><br>
                                <br><br>
                                <b>עיקבו אחרינו ברשתות החברתיות</b>
                                <br>
                                <a target="_blank" href="https://www.facebook.com/yahadtv/">פייסבוק</a><br>

                                <a target="_blank" href="http://instagram.com/yahadtv">אינסטגרם</a>


                            </div><!-- close .registration-social-login-options -->

                            <div class="clearfix"></div>

                        </form>

                </div><!-- close .registration-steps-page-container -->

            </div><!-- close .container -->
        </div><!-- close #pricing-plans-background-image -->

    </div><!-- close #content-pro -->


    <a href="#0" id="pro-scroll-top"><i class="fas fa-chevron-up"></i></a>


@endsection

resources/views/single-video.blade.php
@extends('layouts.app')

@section('content')
    <div id="content-sidebar-pro">

        <div id="content-sidebar-image">
            <img src="{{$videos->imageSrc}}" alt="{{$videos->title}}">
        </div>

        <div class="content-sidebar-section">
            <h2 class="content-sidebar-sub-header">{{$videos->title}}</h2>

        </div><!-- close .content-sidebar-section -->



    </div><!-- close #content-sidebar-pro -->


    <main id="col-main-with-sidebar">
        <div style="width: 100%">
            <iframe  id="VideoLightbox-1" src="{{$videos->src}}" width="960" height="540" frameborder="0" allow="autoplay; fullscreen" allowfullscreen><a class="movie-detail-header-play-btn afterglow" href="#VideoLightbox-1"><i class="fas fa-play"></i></a></iframe>
        </div>


        <div class="dashboard-container">


            <div class="movie-details-section">
                <h2>תיאור</h2>
                <p>{{$videos->description}}</p>
            </div><!-- close .movie-details-section -->
            @if($artists->count() >=1 )
            <div class="movie-details-section">
                <h2>משתתפים</h2>
                <div class="row">
                    @foreach($artists as $artist)
                    <div class="col-12 col-md-6 col-lg-6 col-xl-3">
                        <div class="item-listing-container-skrn">
                            <a href="{{route('artist', $artist->id)}}"><figure class="cover-img"><img src="{{$artist->logoSrc}}" alt="{{$artist->artistName}}"></figure></a>
                            <div class="item-listing-text-skrn item-listing-movie-casting">
                                <h6><a href="{{route('artist', $artist->id)}}">{{$artist->artistName}}</a></h6>
                                <div class="movie-casting-sub-title">{{$artist->artistName}}</div>
                            </div><!-- close .item-listing-text-skrn -->
                        </div><!-- close .item-listing-container-skrn -->
                    </div><!-- close .col -->
                    @endforeach
                </div>
            </div><!-- close .movie-details-section -->
            @endif
            @if($categories->count() >=1 )
            <div class="movie-details-section">
                <h2>תכנים נוספים</h2>
                <div class="row">
                    @foreach( $categories as $cat)
                    <div class="col-12 col-md-6 col-lg-6 col-xl-3">
                        <div class="item-listing-container-skrn">
                            <a href="{{route('categories', $cat->id)}}"><figure class="cover-img"><img src="{{$cat->imageSrc}}" alt="{{$cat->title}}"></figure></a>
                            <div class="item-listing-text-skrn">
                                <div class="item-listing-text-skrn-vertical-align"><h6><a href="{{route('categories', $cat->id)}}">{{$cat->title}}</a></h6>
                                    <div
                                        class="circle-rating-pro"
                                        data-value="0.72"
                                        data-animation-start-value="0.72"
                                        data-size="32"
                                        data-thickness="3"
                                        data-fill="{
								          &quot;color&quot;: &quot;#42b740&quot;
								        }"
                                        data-empty-fill="#def6de"
                                        data-reverse="true"
                                    ><span style="color:#42b740;">7.2</span></div>
                                </div><!-- close .item-listing-text-skrn-vertical-align -->
                            </div><!-- close .item-listing-text-skrn -->
                        </div><!-- close .item-listing-container-skrn -->
                    </div><!-- close .col -->
                @endforeach
                </div><!-- close .row -->

            </div><!-- close .movie-details-section -->
                @endif

        </div><!-- close .dashboard-container -->


    </main>




@endsection

resources/views/videos.blade.php
@extends('layouts.app')

@section('content')




    <main id="col-main">


        <div class="clearfix"></div>

        @if($videos->count() >=1 )
            <div class="dashboard-container ">

                <h4 class="heading-extra-margin-bottom">תכנים</h4>
                <div class="row ">

                    @foreach($videos as $video)
                        <div class="col-12 col-md-6 col-lg-4 col-xl-3">
                            <div class="item-listing-container-skrn">
                                <a href="{{route('single-video', $video->id)}}"><figure class="cover-img"><img src="{{ $video->imageSrc }}" alt="{{ $video->title }}"></figure></a>
                                <div class="item-listing-text-skrn">
                                    <div class="item-listing-text-skrn-vertical-align"><h6><a href="{{route('single-video', $video->id)}}">{{ $video->title}}</a></h6>
                                        <div
                                            class="circle-rating-pro"
                                            data-value="0.86"
                                            data-animation-start-value="0.86"
                                            data-size="32"
                                            data-thickness="3"
                                            data-fill="{
							          &quot;color&quot;: &quot;#42b740&quot;
							        }"
                                            data-empty-fill="#def6de"
                                            data-reverse="true"
                                        ><span style="color:#42b740;">8.6</span></div>
                                    </div><!-- close .item-listing-text-skrn-vertical-align -->
                                </div><!-- close .item-listing-text-skrn -->
                            </div><!-- close .item-listing-container-skrn -->
                        </div><!-- close .col -->

                    @endforeach

                </div>

            </div>
            <br>
        @endif
    </main>


@endsection